Package org.apache.groovy.contracts

# Class CircularAssertionCallException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.groovy.contracts.CircularAssertionCallException

All Implemented Interfaces:
  `Serializable`

public class CircularAssertionCallException extends RuntimeException

Thrown whenever pre- or post-conditions are called in a cyclic way.

See Also:
  - `AssertionViolation`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CircularAssertionCallException()`
  `CircularAssertionCallException(String s)`
  `CircularAssertionCallException(String s, Throwable throwable)`
  `CircularAssertionCallException(Throwable throwable)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CircularAssertionCallException

    public CircularAssertionCallException()

  - ### CircularAssertionCallException

    public CircularAssertionCallException(String s)

  - ### CircularAssertionCallException

    public CircularAssertionCallException(String s, Throwable throwable)

  - ### CircularAssertionCallException

    public CircularAssertionCallException(Throwable throwable)